v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kits/{kitId}/barcode
Updates a kit's barcode by kit ID. Rights: OrsInventoryPost and OrsUnblinded.
Request
Path Parameters
-
kitId(required): string
Kit ID
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : KitNumberBarcodeTO v1.0
Type:
objectTitle:
KitNumberBarcodeTO v1.0Object containing kit number and barcode.
Show Source
-
barcode: string
Title:
BarcodeMinimum Length:0Maximum Length:1000Barcode of the kit.Example:61234
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : KitNumberBarcodeTO v1.0
Type:
objectTitle:
KitNumberBarcodeTO v1.0Object containing kit number and barcode.
Show Source
-
barcode: string
Title:
BarcodeMinimum Length:0Maximum Length:1000Barcode of the kit.Example:61234
400 Response
Invalid Inventory Status
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version OR Study not found OR Inventory not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object